unary.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::Unary::ManFixPUnary
| Test for unary constraint More...
class | Test::Int::Unary::OptFixPUnary
| Test for unary constraint with optional tasks More...
class | Test::Int::Unary::ManFlexUnary
| Test for unary constraint More...
class | Test::Int::Unary::OptFlexUnary
| Test for unary constraint with optional tasks More...
class | Test::Int::Unary::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Unary
| Tests for unary scheduling constraints

## Variables

Create | Test::Int::Unary::c